Page MenuHomePhabricator

Logs 'Thank' notifications appear to bundle on different actions
Closed, ResolvedPublic3 Estimated Story Points

Description

Found during investigation of T191608: markasread param doesn't work for log entry thanks.

  1. User A performs several actions that will be recorded on Special:Logs - create a user, mark some edits as patrolled, move or delete some page(s).
  2. User B goes to Special:Logs page and thanks user A for several actions - user creation, delete/move actions etc.
  3. User A sees Thanks notifications being bundled:

The bundled Thank notification has several misleading points:

  • although it was only one user, the message says "6 people thanked you for your action relating to ..."
  • "6 people thanked you for your action relating to ..." - action is singular although they were many actions
  • "6 people thanked you for your action relating to Talk:Mavetuna3" (Etonkovidova moved page Talk:Mavetuna3 ..." - the move action on Mavetuna3 was only the first action, all other actions refer to different types of actions - user creation, patrolling, deleting etc.
  • The abbreviated notification - "ET12 thanked you" does not give mach information. The wording can be improved.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2018, 12:01 AM
kaldari added a subscriber: kaldari.

Collaboration team thinks CommTech should handle this.

Niharika renamed this task from Logs 'Thank' bundled notifications need to display more information to Logs 'Thank' notifications appear to bundle on different actions.May 1 2018, 6:01 PM
kaldari set the point value for this task to 3.May 1 2018, 11:42 PM

@Samwilson Do I correctly remember you saying you worked on this the other day?

Yes I had a brief look at it, but it wasn't the quick fix I'd thought it might be. Seems to maybe be providing a bundle string even when it shouldn't (maybe when it's retrieving the ID wrongly).

I'm not working on this now.

Change 432592 had a related patch set (by Matěj Suchánek) published:
[mediawiki/extensions/Thanks@master] Correctly bundle thanks notifications for logs

https://gerrit.wikimedia.org/r/432592

Change 432592 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Correctly bundle thanks notifications for logs

https://gerrit.wikimedia.org/r/432592

Niharika closed this task as Resolved.Jun 5 2018, 6:51 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.

This should be rolling out this week.

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 9 2018, 5:30 PM